Bug 189250 - Review Request: python-lxml - ElementTree-like python bindings for libxml2
Review Request: python-lxml - ElementTree-like python bindings for libxml2
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-18 11:45 EDT by Shahms E. King
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-28 12:47:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shahms E. King 2006-04-18 11:45:32 EDT
Spec URL: http://shahms.mesd.k12.or.us/packages/python-lxml.spec
SRPM URL: http://shahms.mesd.k12.or.us/packages/python-lxml-0.9.1-1.src.rpm
Description: 
lxml provides a Python binding to the libxslt and libxml2 libraries.  It follows
the ElementTree API as much as possible in order to provide a more Pythonic
interface to libxml2 and libxslt than the default bindings.  In particular,
lxml deals with Python Unicode strings rather than encoded UTF-8 and handles
memory management, unlike the default bindings.
Comment 1 Paul Nasrat 2006-04-25 18:16:22 EDT
rpmlint fails (warning and error):

rpmlint python-lxml-0.9.1-1.src.rpm
W: python-lxml summary-ended-with-dot ElementTree-like Python bindings for
libxml2 and libxslt.
E: python-lxml description-line-too-long lxml provides a Python binding to the
libxslt and libxml2 libraries.  It follows

Can you fix those up and we'll start again.
Comment 3 Paul Nasrat 2006-04-26 13:25:50 EDT
Thanks for that.  Two suggestions but otherwise looking good to me.

Please add a BuildRequires python-setuptools as mock build fails without this.
Suggest use of dist tag - but not necessary for acceptance

Review:
* built on fc5 - tested in v
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the python template.
* license field matches the actual license.
* license is open source-compatible and included
* source files match upstream:
25e18d86050907f3a088550fe650f841  lxml-0.9.1.tgz
25e18d86050907f3a088550fe650f841  /home/pauln/tmp/lxml-0.9.1.tgz
* rpmlint is silent.
* BuildRequires sane, although not sufficient for mock.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present
* package contains code, not content.
* documentation is relatively small , so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no pkgconfig files.
* no libtool .la files
* not a GUI app so no .desktop
Comment 4 Shahms E. King 2006-04-26 13:46:26 EDT
Thanks for reviewing the package.  I could have sworn I'd added both the dist
tag and BuildRequires, but that's why we have reviewers ;-).

I've made the suggested changes and put up new files at:
http://shahms.mesd.k12.or.us/packages/python-lxml.spec
http://shahms.mesd.k12.or.us/packages/python-lxml-0.9.1-3.src.rpm
Comment 5 Paul Nasrat 2006-04-26 14:30:55 EDT
Thanks - builds and runs. Meets review criteria, moving to FE-ACCEPT

>>> import lxml.etree
>>> doc = lxml.etree.parse('example-tutorial-en.xml')
>>> e = doc.xpath('//article[@id="example-tutorial"]')
>>> e
[<Element article at -480fd9e4>

Review as above:
* built on fc5 - tested working
* package meets naming and packaging guidelines. Uses dist tag.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the python template.
* license field matches the actual license.
* license is open source-compatible and included
* source files match upstream:
25e18d86050907f3a088550fe650f841  lxml-0.9.1.tgz
25e18d86050907f3a088550fe650f841  /home/pauln/tmp/lxml-0.9.1.tgz
* BuildRequires are proper.
* builds in mock
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present
* package contains code, not content.
* documentation is relatively small , so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no pkgconfig files.
* no libtool .la files
* not a GUI app so no .desktop
Comment 6 Shahms E. King 2007-07-30 15:45:36 EDT
Package Change Request
======================
Package Name: python-lxml
Updated Fedora Owners: shahms@shahms.com,jeff@ocjtech.us
Comment 7 Jason Tibbitts 2007-07-30 16:05:06 EDT
ACK is in bug 245690.

CVS done.
Comment 8 Jeffrey C. Ollie 2007-07-31 07:27:41 EDT
Package Change Request
======================
Package Name: python-lxml
New Branches: EL-4 EL-5
Updated EPEL Owners: jeff@ocjtech.us
Comment 9 Jeffrey C. Ollie 2007-08-01 14:51:35 EDT
Oops, forget to set the CVS flag...

Package Change Request
======================
Package Name: python-lxml
New Branches: EL-4 EL-5
Updated EPEL Owners: jeff@ocjtech.us


Comment 10 Kevin Fenzi 2007-08-01 15:07:43 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.